<?php
/** 
 * view default/index
 * 
 * Rendered from: default/index
 * Parameters: no parameters
 * 
 * Calls browse/index with modelClass,modelLevel and updates #browsecontainer
 **/

//echo Yii::app()->baseUrl;
$models = array_merge(array('0'), $this->module->models);
?>

<script type="text/javascript">

xcruder.baseModelUrl = "<%= CHtml::ajax(array(
	'url' => $this->createUrl('browse/index', array(
		'modelLevel' => 0,
		'modelClass' => 'MODELCLASS',
		'filterparams' => ''
		)
	),
	'success' => "function(html){\$('#browsecontainer').html(html)}"
)) %>";


xcruder.onModelChange = function(mc, fp) {

	$("#browsecontainer").empty();
	
	if (xcruder.lastBrowseGrid)
		jQuery.yii.beforeRenderGridView( xcruder.lastBrowseGrid );

	var ev = xcruder.baseModelUrl.replace(/MODELCLASS/, mc);
	if (fp) {
		var params = "";
		for(var key in fp)
			params += (mc + "[" + key + "]=" + fp[key]);
		ev = ev.replace(/filterparams=/, params);
	}
	
	$.globalEval(ev);	
}



</script>

<?php
	echo CHtml::DropDownList('modelClass', '0',
		array_combine(
			$models,
			array_merge(array(':: Select a model! ::'), $this->module->models)
		),
		array(
			'id' => 'modelClassSwitcher',
			'onchange' => 'xcruder.onModelChange(jQuery(this).val())'//function defined above
		)
	);
?>

<div id="browsecontainer">

<?php
	$this->renderPartial('/browse/index',array(
		'modelLevel'=>0
	));
?>

</div>


<!-- update form placeholder -->
<div id="updatecontainer" class="form-container"></div>

<!-- create form placeholder -->
<div id="createcontainer" class="form-container"></div>

<!-- picker form placeholder -->
<div id="pickercontainer" class="form-container"></div>

<?php
/*


$rec = XcruderActiveRecord::xpFindByPk('2', 'Entitytype', true);
//$rec->has_many_feature[] = 11;
echo '<pre>';
foreach($rec->has_many_feature as $related) {
	 print_r($related->attributes);
}
echo '</pre>';


$rec = XcruderActiveRecord::xpFindByPk('2', 'Entitytype', true);
//$rec->has_many_feature[] = 11;

*/

//echo '<pre>';
//print_r($rec->tableSchema->columns);
//print_r(Yii::app()->authManager);
//print_r( Yii::app()->user->getId() );
//echo '</pre>';

//$this->widget('ext.eraptor.eraptor');

?>
