<?php

Yii::import('application.models._base.BaseFeature');

class Feature extends BaseFeature
{
	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function relations() {
		return array(

		  //N:M relation with the Entitytype model, connector table is Entitytype_feature
		  'has_many_entitytype' => array(self::MANY_MANY, 'Entitytype', '{{entitytype_feature}}(id_feature,id_entitytype)'),
				
			'has_many_valuestring' => array(self::HAS_MANY, 'ValueString', 'id_feature'),	
			'has_many_valueint' => array(self::HAS_MANY, 'ValueInt', 'id_feature'),
			'has_many_valuedate' => array(self::HAS_MANY, 'ValueDate', 'id_feature')

		);
	}

	public function pivotModels() {
		return array(
			"has_many_entitytype" => "EntitytypeFeature"
		);
	}
 
}
